Clock in (create entry)

Create a new attendance entry by clocking in the employee identified by the path. Returns the created entry ID.

Path Params
string
required

The employee ID to clock in (e.g. from kiosk or badge identification)

Body Params

Request body for clock-in when using POST /attendance/employees/{employeeId}/entries/clock-in (employeeId is in the path).

date-time
required

Clock-in as a timestamp (date + time) in date-time format (e.g. ISO 8601). The date part of the timestamp must be the current date; past or future dates cause the request to fail.

string
enum

Entry type; defaults to work

Allowed:
int64

Optional project ID for project tracking. Use the Search projects endpoint to get available project IDs.

int64

Optional task ID for task tracking. Use the Search tasks endpoint to get available task IDs.

string

Optional free-text comment for the entry (max 300 characters)

string

Optional reason code for the entry. Must be a valid string ID from the company's "Time Log Entry Reason" list (timeLogEntryReason). Use the company lists metadata endpoint with list name timeLogEntryReason to retrieve valid reason IDs.

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json